The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Cannot upgrade php

Discussion in 'General Discussion' started by navlem, Apr 4, 2005.

  1. navlem

    navlem Active Member

    Joined:
    Aug 17, 2004
    Messages:
    38
    Likes Received:
    0
    Trophy Points:
    6
    I've just got a server that comes with cpanel and it has php 4.3.9 with it. I've tried compiling apache with a few more options with php 4.3.11 but when it reaches the part where it is suppose to compile php it comes with an error and says Build Completed.

    Ive checked and it is still php 4.3.9

    Here is what it says

     
    #1 navlem, Apr 4, 2005
    Last edited: Apr 4, 2005
  2. stevieb

    stevieb Member

    Joined:
    Oct 31, 2004
    Messages:
    16
    Likes Received:
    0
    Trophy Points:
    1
    Hello,
    What does the config.log say?

    Regards
    Steven Billings
     
  3. navlem

    navlem Active Member

    Joined:
    Aug 17, 2004
    Messages:
    38
    Likes Received:
    0
    Trophy Points:
    6
    how do i check it?
     
  4. StevenC

    StevenC Well-Known Member

    Joined:
    Jan 1, 2004
    Messages:
    254
    Likes Received:
    0
    Trophy Points:
    16
    turn on verbose compiling.
     
  5. navlem

    navlem Active Member

    Joined:
    Aug 17, 2004
    Messages:
    38
    Likes Received:
    0
    Trophy Points:
    6
    LOL, how?

    I'm a noob
     
  6. easyhoster1

    easyhoster1 Well-Known Member

    Joined:
    Sep 25, 2003
    Messages:
    659
    Likes Received:
    0
    Trophy Points:
    16
    When you see the "Start Build" button, you will see the check box above it

    Verbose Build (show configure and gcc output)
     
  7. navlem

    navlem Active Member

    Joined:
    Aug 17, 2004
    Messages:
    38
    Likes Received:
    0
    Trophy Points:
    6
    I do not know which part of the compilation to paste here, so i've included the notepad with everything..
     

    Attached Files:

    • log.txt
      File size:
      134.3 KB
      Views:
      52
  8. bornonline

    bornonline Well-Known Member

    Joined:
    Nov 19, 2004
    Messages:
    139
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Earth
    Don't know if this applies, but I was having a similiar issue and this is what I was told fixed it..

    "The install was failing due to a bug in easyapache causing php to attempt to install as a cgi while phpsuexec was disabled. I ran an upcp --force to fix this then ran easyapache again. On this occasion, I found a known bug in the php build with imap; I installed imap and imap-devel from rpm, then ran easyapache again; this time it completed successfully."

    9.9.9-STABLE_15
     
  9. navlem

    navlem Active Member

    Joined:
    Aug 17, 2004
    Messages:
    38
    Likes Received:
    0
    Trophy Points:
    6
    Thanks i'll try it out
     
  10. navlem

    navlem Active Member

    Joined:
    Aug 17, 2004
    Messages:
    38
    Likes Received:
    0
    Trophy Points:
    6
    does not work...
     
  11. navlem

    navlem Active Member

    Joined:
    Aug 17, 2004
    Messages:
    38
    Likes Received:
    0
    Trophy Points:
    6
    anyone can help me out?
     
  12. rachweb

    rachweb Well-Known Member

    Joined:
    Jun 26, 2004
    Messages:
    268
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    amsterdam
    can you test witch php 4.3.10 and check if you get the same error
     
  13. navlem

    navlem Active Member

    Joined:
    Aug 17, 2004
    Messages:
    38
    Likes Received:
    0
    Trophy Points:
    6
    yes, it comes up with the same error...
     
  14. rachweb

    rachweb Well-Known Member

    Joined:
    Jun 26, 2004
    Messages:
    268
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    amsterdam
    Have you check the config.log. /home/cpapachebuild/buildapache/php-5.0.4/config.log
     
  15. navlem

    navlem Active Member

    Joined:
    Aug 17, 2004
    Messages:
    38
    Likes Received:
    0
    Trophy Points:
    6
    How do i check?

    What do i type in the ssh?
     
  16. rachweb

    rachweb Well-Known Member

    Joined:
    Jun 26, 2004
    Messages:
    268
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    amsterdam
    tail -1000 /home/cpapachebuild/buildapache/php-5.0.4/config.log
     
  17. navlem

    navlem Active Member

    Joined:
    Aug 17, 2004
    Messages:
    38
    Likes Received:
    0
    Trophy Points:
    6
    root@reseller [~]# tail -1000 /home/cpapachebuild/buildapache/php-5.0.4/config.log
    tail: /home/cpapachebuild/buildapache/php-5.0.4/config.log: No such file or directory
     
  18. rachweb

    rachweb Well-Known Member

    Joined:
    Jun 26, 2004
    Messages:
    268
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    amsterdam
    which os are you using?? Try locate config.conf
     
  19. navlem

    navlem Active Member

    Joined:
    Aug 17, 2004
    Messages:
    38
    Likes Received:
    0
    Trophy Points:
    6
    fedora core 1
    I've found config.log, but then after using the command you posted a few posts ago, lots of words just come up and it went overshot, so i cannot copy all of them

    But here are the ones i could copy...

    Attached
     

    Attached Files:

    • log.txt
      File size:
      10.8 KB
      Views:
      37
  20. rachweb

    rachweb Well-Known Member

    Joined:
    Jun 26, 2004
    Messages:
    268
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    amsterdam
    Is there a map with name php-5.0.4
     
Loading...

Share This Page